<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.20
Name: [3] Sekcja rozpoznania na skierowaniu do szpitala psychiatrycznego
Description: Szablon CDA dla sekcji rozpoznania na skierowaniu do szpitala psychiatrycznego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000">
   <title>[3] Sekcja rozpoznania na skierowaniu do szpitala psychiatrycznego</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']]
Item: (plCdaReferralToPsychiatricHospitalDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']]"
         id="tmp-r-410ad388-af54-4cc5-b5b9-da1684bd0c04">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']/@nullFlavor)">(plCdaReferralToPsychiatricHospitalDiagnosisSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20'])&lt;=1">(plCdaReferralToPsychiatricHospitalDiagnosisSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']
Item: (plCdaReferralToPsychiatricHospitalDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']"
         id="tmp-r-5b011241-9493-4841-bb97-ff250099fb5b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaReferralToPsychiatricHospitalDiagnosisSection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaReferralToPsychiatricHospitalDiagnosisSection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.20'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.20']/@nullFlavor)">(plCdaReferralToPsychiatricHospitalDiagnosisSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.20'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.20'])&lt;=1">(plCdaReferralToPsychiatricHospitalDiagnosisSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.20'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaReferralToPsychiatricHospitalDiagnosisSection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="count(hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaReferralToPsychiatricHospitalDiagnosisSection): element hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="count(hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaReferralToPsychiatricHospitalDiagnosisSection): element hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaReferralToPsychiatricHospitalDiagnosisSection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaReferralToPsychiatricHospitalDiagnosisSection): element hl7:text występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.20']
Item: (plCdaReferralToPsychiatricHospitalDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.20']"
         id="tmp-r-7b130ed0-8e4e-43fa-8b57-a6b8a23f6a25">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToPsychiatricHospitalDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.20'">(plCdaReferralToPsychiatricHospitalDiagnosisSection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.20'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReferralToPsychiatricHospitalDiagnosisSection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']/hl7:id
Item: (plCdaReferralToPsychiatricHospitalDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']/hl7:id"
         id="tmp-r-70906d5f-4e94-4190-a1a4-f6d71a03355b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToPsychiatricHospitalDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']/hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaReferralToPsychiatricHospitalDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']/hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-82c935d7-073d-4161-a757-6926f3a6b424">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToPsychiatricHospitalDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="@nullFlavor or (@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Diagnosis' and @codeSystemName='LOINC')">(plCdaReferralToPsychiatricHospitalDiagnosisSection): Wartość elementu MUSI wynosić code '29548-5' codeSystem '2.16.840.1.113883.6.1' displayName='Diagnosis' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']/hl7:text
Item: (plCdaReferralToPsychiatricHospitalDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.20']/hl7:text"
         id="tmp-r-5169a932-9bda-45b4-8738-5fcb15e9a9b4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.20-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToPsychiatricHospitalDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
