<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.43
Name: [4] Diagnozy pielęgniarskie
Description: Szablon CDA dla diagnoz pielęgniarskich
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000">
   <title>[4] Diagnozy pielęgniarskie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]
Item: (plCdaNursingDiagnosisEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]"
         id="tmp-r-cb33d130-feab-4d5b-b113-037c84aee1ec">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']/@nullFlavor)">(plCdaNursingDiagnosisEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43'])&lt;=1">(plCdaNursingDiagnosisEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']
Item: (plCdaNursingDiagnosisEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']"
         id="tmp-r-c3666e23-a180-441f-909d-b8b019d92cfb">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="string(@classCode)='OBS'">(plCdaNursingDiagnosisEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaNursingDiagnosisEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="string(@moodCode)='EVN'">(plCdaNursingDiagnosisEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaNursingDiagnosisEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.43'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.43']/@nullFlavor)">(plCdaNursingDiagnosisEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.43'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.43'])&lt;=1">(plCdaNursingDiagnosisEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.43'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingDiagnosisEntry): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingDiagnosisEntry): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaNursingDiagnosisEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaNursingDiagnosisEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaNursingDiagnosisEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.43']
Item: (plCdaNursingDiagnosisEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.43']"
         id="tmp-r-fa26d688-6e6d-4503-a908-f39b1ff20964">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.43'">(plCdaNursingDiagnosisEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.43'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaNursingDiagnosisEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingDiagnosisEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-64b0a5ba-b13d-4e5d-9583-f7f0a3f39b29">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingDiagnosisEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingDiagnosisEntry): Wartość elementu MUSI wynosić DiagnozaWgICNP Kod ICNP dla diagnozy pielęgniarskiej (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.70-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingDiagnosisEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości DiagnozaWgICNP Kod ICNP dla diagnozy pielęgniarskiej (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']/hl7:text"
         id="tmp-r-2c53663b-f79c-4a21-81dc-d7c5fbffba99">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText): 
                    Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu
                </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']/hl7:text/hl7:reference"
         id="tmp-r-cc70254e-0a0b-4a2e-865b-d3a168a51835">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText): 
                        Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                    </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']/hl7:statusCode
Item: (plCdaNursingDiagnosisEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']/hl7:statusCode"
         id="tmp-r-94034b51-3f40-4864-acfa-0547fba4bb53">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingDiagnosisEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaNursingDiagnosisEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']/hl7:effectiveTime
Item: (plCdaNursingDiagnosisEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.43']/hl7:effectiveTime"
         id="tmp-r-a6342f98-ade5-4336-89f4-a13d7023b8ea">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.43-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingDiagnosisEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
