<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.33
Name: [4] Dokument zewnętrzny zgodny z regułami
Description: Szablon CDA dla dokumentu zewnętrznego zgodnego z regułami Polskiej Implementacji Krajowej HL7 CDA
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000">
   <title>[4] Dokument zewnętrzny zgodny z regułami</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.33
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]
Item: (plCdaConformantExternalDocument)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.33
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']
Item: (plCdaConformantExternalDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']"
         id="tmp-r-946387d3-453b-4807-be34-a24f4def82e6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="string(@classCode)='DOC' or not(@classCode)">(plCdaConformantExternalDocument): Wartość dla @classCode MUSI wynosić 'DOC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaConformantExternalDocument): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.33'] | self::hl7:id | self::hl7:code[@code and @displayName][@codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC'] | self::hl7:text | self::hl7:setId | self::hl7:versionNumber)])">(plCdaConformantExternalDocument): We fragmencie dokumentu zgodnym z szablonem "[4] Dokument zewnętrzny zgodny z regułami" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.33'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.33']/@nullFlavor)">(plCdaConformantExternalDocument): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.33'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.33'])&lt;=1">(plCdaConformantExternalDocument): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.33'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(plCdaConformantExternalDocument): element hl7:id jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaConformantExternalDocument): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(plCdaConformantExternalDocument): element hl7:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaConformantExternalDocument): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaConformantExternalDocument): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(plCdaConformantExternalDocument): element hl7:setId jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="count(hl7:setId)&lt;=1">(plCdaConformantExternalDocument): element hl7:setId występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(plCdaConformantExternalDocument): element hl7:versionNumber jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(plCdaConformantExternalDocument): element hl7:versionNumber występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.33
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.33']
Item: (plCdaConformantExternalDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.33']"
         id="tmp-r-787003fe-2199-482e-8c19-43d36bc433a1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaConformantExternalDocument): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.33'">(plCdaConformantExternalDocument): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.33'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.33
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:id
Item: (plCdaConformantExternalDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:id"
         id="tmp-r-ba11f314-37f8-4f0e-9f39-df591036943b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaConformantExternalDocument): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.33
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:code
Item: (plCdaConformantExternalDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:code"
         id="tmp-r-7481184f-a32b-4d1d-bc1b-f2eb998b48fa">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaConformantExternalDocument): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="@code">(plCdaConformantExternalDocument): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaConformantExternalDocument): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="@displayName">(plCdaConformantExternalDocument): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaConformantExternalDocument): Atrybut @displayName MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="not(./*[not(self::hl7:translation[@code and @displayName][@codeSystem='2.16.840.1.113883.3.4424.11.1.32'])])">(plCdaConformantExternalDocument): We fragmencie dokumentu zgodnym z szablonem "[4] Dokument zewnętrzny zgodny z regułami" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="count(hl7:translation)&gt;=1 and not(hl7:translation/@nullFlavor)">(plCdaConformantExternalDocument): element hl7:translation jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="count(hl7:translation)&lt;=1">(plCdaConformantExternalDocument): element hl7:translation występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.33
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:code/hl7:translation
Item: (plCdaConformantExternalDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:code/hl7:translation"
         id="tmp-r-a8d5ff04-118c-444d-b4ae-5f709562cf5b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="@code">(plCdaConformantExternalDocument): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaConformantExternalDocument): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="@displayName">(plCdaConformantExternalDocument): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaConformantExternalDocument): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:text"
         id="tmp-r-36c992a6-3857-4c81-b228-795c359570c7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText): 
                    Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu
                </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:text/hl7:reference"
         id="tmp-r-ba6a52fa-2b60-45b3-9783-01d96a2c8da8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText): 
                        Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                    </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.33
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:setId
Item: (plCdaConformantExternalDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:setId"
         id="tmp-r-e34363d6-f768-4a4a-92f5-bb4204a86ac4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaConformantExternalDocument): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.33
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:versionNumber
Item: (plCdaConformantExternalDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']/hl7:versionNumber"
         id="tmp-r-df40cb32-3010-4f88-9851-f03db59abb89">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaConformantExternalDocument): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:INT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.33-2014-09-23T000000.html"
              test="$digitok or @nullFlavor">(plCdaConformantExternalDocument): @value nie jest poprawną liczbą typu INT <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>
